Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IPageService

All Known Subinterfaces:
  IWorkbenchWindow

public interface IPageService

A page service tracks the page and perspective lifecycle events within a workbench window.

This interface is not intended to be implemented by clients.

See Also:
  `IWorkbenchWindow`, `IPageListener`, `IPerspectiveListener`

Method Summary
`void` | `addPageListener(IPageListener listener)` Adds the given listener for page lifecycle events.
`void` | `addPerspectiveListener(IPerspectiveListener listener)` Adds the given listener for a page's perspective lifecycle events.
`IWorkbenchPage` | `getActivePage()`
`void` | `removePageListener(IPageListener listener)` Removes the given page listener.
`void` | `removePerspectiveListener(IPerspectiveListener listener)` Removes the given page's perspective listener.

Method Detail

### addPageListener

    public void addPageListener(IPageListener listener)

  Adds the given listener for page lifecycle events. Has no effect if an identical listener is already registered.

  Parameters:
    `listener` - a page listener

### addPerspectiveListener

    public void addPerspectiveListener(IPerspectiveListener listener)

  Adds the given listener for a page's perspective lifecycle events. Has no effect if an identical listener is already registered.

  Parameters:
    `listener` - a perspective listener

### getActivePage

    public IWorkbenchPage getActivePage()

### removePageListener

    public void removePageListener(IPageListener listener)

  Removes the given page listener. Has no affect if an identical listener is not registered.

  Parameters:
    `listener` - a page listener

### removePerspectiveListener

    public void removePerspectiveListener(IPerspectiveListener listener)

  Removes the given page's perspective listener. Has no affect if an identical listener is not registered.

  Parameters:
    `listener` - a perspective listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.